Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.signing.type
[Groovy] Interface SignatureTypeProvider

    interface SignatureTypeProvider

Method Summary
`SignatureType` | `getDefaultType()`
`SignatureType` | `getTypeForExtension(String extension)`
`boolean` | `hasTypeForExtension(String extension)`
`void` | `setDefaultType(String extension)`

Method Detail

### getDefaultType

    SignatureType getDefaultType()

### getTypeForExtension

    SignatureType getTypeForExtension(String extension)

### hasTypeForExtension

    boolean hasTypeForExtension(String extension)

### setDefaultType

    void setDefaultType(String extension)

Gradle API 1.1-rc-1